# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_785nerf9e1/clone/recipe, last modified Fri May 19 16:40:01 2023
# ------------------------------------------------

package:
  name: spacy-pkuseg
  version: 0.0.32
source:
  sha256: f72d9365138e9083a5e78bba8e87190f85ad3f90adddb55f69c58aa862c8484c
  url: https://pypi.io/packages/source/s/spacy-pkuseg/spacy_pkuseg-0.0.32.tar.gz
build:
  number: '0'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_785nerf9e1/croot/spacy-pkuseg_1684532411768/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py38h09c3384_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - llvm-tools 14.0.6 he0576d7_3
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.13 h4dc903c_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 hecd8cb5_0
    - cython 0.29.33 py38hcec6c5f_0
    - intel-openmp 2023.1.0 ha357a0b_43547
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_0
    - mkl 2023.1.0 h59209a4_43558
    - mkl-service 2.4.0 py38h6c40b1e_1
    - mkl_fft 1.3.6 py38h07fba90_1
    - mkl_random 1.2.2 py38h07fba90_1
    - ncurses 6.4 hcec6c5f_0
    - numpy 1.21.5 py38h47b59a4_4
    - numpy-base 1.21.5 py38hcfaf2c3_4
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py38hecd8cb5_0
    - python 3.8.16 h218abb5_3
    - readline 8.2 hca72f7f_0
    - setuptools 66.0.0 py38hecd8cb5_0
    - sqlite 3.41.2 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tk 8.6.12 h5d9f67b_0
    - wheel 0.38.4 py38hecd8cb5_0
    - xz 5.4.2 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - libcxx >=14.0.6
    - numpy >=1.21.5,<2.0a0
    - python >=3.8,<3.9.0a0
    - srsly >=2.3.0,<3.0.0
test:
  commands:
    - pip check
    - python -m pytest --tb=native --pyargs spacy_pkuseg
  imports:
    - spacy_pkuseg
  requires:
    - pip
    - pytest
about:
  description: 'This package is a fork of pkuseg-python that simplifies installation

    and serialization for use with spaCy. The underlying segmentation

    tools remain unmodified.

    '
  dev_url: https://github.com/explosion/spacy-pkuseg
  doc_url: https://github.com/explosion/spacy-pkuseg/blob/master/readme/readme_english.md
  home: https://github.com/explosion/spacy-pkuseg
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: PKUSeg Chinese word segmentation toolkit for spaCy
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 7837663c-863a-4c37-a508-54a3eb8a4ba3
  recipe-maintainers:
    - adrianeboyd
    - honnibal
    - ines
  remote_url: git@github.com:AnacondaRecipes/spacy-pkuseg-feedstock.git
  sha: 59a8c73067ae8bf5b273ab1c190f7bf8a3e5a3a1
